#pragma once

#include "CoreMinimal.h"
#include "BaseMenuLoadoutItemViewData.h"
#include "MenuPerkViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UMenuPerkViewData : public UBaseMenuLoadoutItemViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 Level;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 UnlockableLevel;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsTeachablePerk;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsSlasherPerk;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText ParentDisplayName;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText ParentTypeDisplayName;

public:
	UMenuPerkViewData();
};

FORCEINLINE uint32 GetTypeHash(const UMenuPerkViewData) { return 0; }
